Skip to main content
Save To Project Legacy
curl --request POST \
  --url https://api.ionworks.com/organizations/{organization_id}/ecm/save-to-project \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "cell_spec_id": "<string>",
  "num_rcs": 2,
  "fit_results": {
    "soc": [
      123
    ],
    "ocv": [
      123
    ],
    "r0": [
      123
    ],
    "rc_pairs": [
      {
        "r": [
          123
        ],
        "c": [
          123
        ],
        "tau": [
          123
        ]
      }
    ]
  },
  "description": ""
}
'
{
  "model_id": "<string>",
  "parameterized_model_id": "<string>"
}

Path Parameters

organization_id
string
required

Body

application/json

Request body for saving ECM fit results as a Parameterized Model.

name
string
required

Name for the model.

Minimum string length: 1
cell_spec_id
string
required

Cell specification ID.

num_rcs
integer
required

Number of RC pairs.

Required range: 0 <= x <= 5
fit_results
FitResultsData · object
required

Fit results needed for saving.

description
string
default:""

Optional description.

Response

Successful Response

Response from save-to-project.

model_id
string
required
parameterized_model_id
string
required